%define upver       0.8.6
%define subver      7

Name:            qt-fsarchiver-terminal
Version:         %{upver}.%{subver}
%define subrel   1
Release:         %mkrel 1
Summary:         A terminal program for qt-fsarchiver
Group:           Archiving/Backup
License:         GPLv2+ and GPLv3+
URL:             https://qt-fsarchiver.sourceforge.io/
Source0:         https://sourceforge.net/projects/qt-fsarchiver/files/source/%{name}/%{name}-%{upver}-%{subver}.tar.gz
Patch1:          0001-Add-EXT4-orphan_file-feature.patch
BuildRequires:   rpm_macro(qmake_qt5)
BuildRequires:   qttools5
BuildRequires:   pkgconfig(Qt5Gui)
# -lrt   -le2p  -lz -llz4 -lbz2
BuildRequires:   pkgconfig(ext2fs)
BuildRequires:   pkgconfig(uuid)
BuildRequires:   pkgconfig(blkid)
BuildRequires:   e2fsprogs
BuildRequires:   pkgconfig(libgcrypt)
BuildRequires:   pkgconfig(zlib)
BuildRequires:   pkgconfig(bzip2)
BuildRequires:   pkgconfig(libzstd)
BuildRequires:   pkgconfig(lzo2)
BuildRequires:   pkgconfig(liblzma)
BuildRequires:   pkgconfig(gpg-error)
BuildRequires:   pkgconfig(com_err)
BuildRequires:   pkgconfig(liblz4)

Provides:        bundled(fsarchiver) = 0.8.6

%description
qt-fsarchiver-terminal is a terminal program that is required to run qt-fsarchiver.

%prep
%autosetup -n %{name} -p1

%build
%qmake_qt5
%qmake_build

%install
%qmake_install

%files
%{_sbindir}/%{name}
%doc %{_docdir}/%{name}


%changelog
* Tue Sep 05 2023 wally <wally> 0.8.6.7-1.1.mga9
+ Revision: 1984406
- add EXT4 orphan_file feature (mga#32136)
- update summary and description
- remove unneeded fsarchiver requires as it's bundled

* Sat Apr 09 2022 papoteur <papoteur> 0.8.6.7-1.mga9
+ Revision: 1848349
- imported package qt-fsarchiver-terminal

